add wave -noupdate -divider {Embed_nios2_gen2_0_cpu: top-level ports}
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/i_readdata
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/i_waitrequest
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/i_address
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/i_read
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/i_readdatavalid
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/clk
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/reset_n
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/d_readdata
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/d_waitrequest
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/d_address
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/d_byteenable
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/d_read
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/d_write
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/d_writedata
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/d_readdatavalid
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/irq
add wave -noupdate -divider {Embed_nios2_gen2_0_cpu: base pipeline}
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/clk
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/reset_n
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/D_stall
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_stall
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/F_pcb_nxt
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/F_pcb
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/D_pcb
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_pcb
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_pcb
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_pcb
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_pcb
add wave -noupdate -format Logic -radix ascii /NIOS2_INSTANCE_TOP/F_vinst
add wave -noupdate -format Logic -radix ascii /NIOS2_INSTANCE_TOP/D_vinst
add wave -noupdate -format Logic -radix ascii /NIOS2_INSTANCE_TOP/E_vinst
add wave -noupdate -format Logic -radix ascii /NIOS2_INSTANCE_TOP/M_vinst
add wave -noupdate -format Logic -radix ascii /NIOS2_INSTANCE_TOP/A_vinst
add wave -noupdate -format Logic -radix ascii /NIOS2_INSTANCE_TOP/W_vinst
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/F_iw_avail
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/F_iw_valid
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/F_issue
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/F_kill
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/D_kill
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/D_refetch
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/D_issue
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/D_valid
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/D_rdprs_stall
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/D_rdprs_stall_done
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_valid
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_valid
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_valid
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_valid
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_wr_dst_reg
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_dst_regnum
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_wr_data
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/D_en
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_en
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_en
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_en
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/F_iw
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/D_iw
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_iw
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_pipe_flush
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_pipe_flush_baddr
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_pipe_flush
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_pipe_flush_baddr
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/norm_intr_req
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_status_reg
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_status_reg_pie
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_estatus_reg
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_estatus_reg_pie
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_bstatus_reg
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_bstatus_reg_pie
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_ienable_reg
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_ienable_reg_irq0
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_ienable_reg_irq1
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_ienable_reg_irq2
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_ienable_reg_irq3
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_ienable_reg_irq4
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_ipending_reg
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_ipending_reg_irq0
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_ipending_reg_irq1
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_ipending_reg_irq2
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_ipending_reg_irq3
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_ipending_reg_irq4
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_cpuid_reg
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_exception_reg
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_exception_reg_cause
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_badaddr_reg
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_badaddr_reg_baddr
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_cdsr_reg
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_cdsr_reg_status
add wave -noupdate -divider {Embed_nios2_gen2_0_cpu: F_pc_nxt}
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_pipe_flush
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_pipe_flush_baddr
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_pipe_flush
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_pipe_flush_baddr
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/D_refetch
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/D_pcb
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/D_br_pred_taken
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/D_br_taken_baddr
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_valid_jmp_indirect
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_src1
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/D_ctrl_jmp_direct
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/D_jmp_direct_target_baddr
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/F_pcb_nxt
add wave -noupdate -divider {Embed_nios2_gen2_0_cpu: icache}
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/F_pc_nxt
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/F_ic_data_rd_addr_nxt
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/F_ic_tag_rd_addr_nxt
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/F_ic_tag_field
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/F_ic_valid
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/F_ic_desired_tag
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/F_ic_valid
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/D_pc_tag_field
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/D_pc_line_field
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/D_pc_offset_field
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/ic_tag_wren
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/ic_tag_wrdata
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/ic_tag_wraddress
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/ic_fill_valid_bit_new
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/ic_fill_valid_bits_nxt
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/ic_fill_valid_bits
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/F_ic_fill_same_tag_line
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/D_ic_fill_same_tag_line
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/D_ic_want_fill
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/D_ic_fill_ignore
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/D_ic_fill_starting
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/D_ic_fill_starting_d1
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/ic_fill_prevent_refill
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/ic_fill_done
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/ic_fill_active
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/ic_fill_tag
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/ic_fill_line
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/ic_fill_initial_offset
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/ic_fill_dp_offset
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/ic_fill_dp_offset_nxt
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/ic_fill_dp_offset_en
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/ic_fill_dp_last_word
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/ic_fill_req_accepted
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/ic_fill_ap_offset
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/ic_fill_ap_last_word
add wave -noupdate -divider {Embed_nios2_gen2_0_cpu: instruction_master}
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/i_read
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/i_address
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/i_waitrequest
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/i_readdata_d1
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/i_readdatavalid_d1
add wave -noupdate -divider {Embed_nios2_gen2_0_cpu: dynamic_brpred_(frontend)}
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/F_bht_ptr_nxt
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/F_iw
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/F_bht_data
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/F_pcb
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/D_iw
add wave -noupdate -format Logic -radix ascii /NIOS2_INSTANCE_TOP/D_vinst
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/D_pcb
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/D_bht_data
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/D_br_cond_pred_taken
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/D_br_pred_taken
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/D_ctrl_br
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/D_ctrl_br_uncond
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/D_ctrl_br_always_pred_taken
add wave -noupdate -divider {Embed_nios2_gen2_0_cpu: dynamic_brpred_(backend)}
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_br_cond_pred_taken
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_br_actually_taken
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_br_mispredict
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_br_mispredict
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_br_cond_taken_history
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_bht_wr_data_unfiltered
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_bht_wr_data_filtered
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_bht_wr_en_unfiltered
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_bht_wr_en_filtered
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_bht_ptr_unfiltered
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_bht_ptr_filtered
add wave -noupdate -divider {Embed_nios2_gen2_0_cpu: A_slow_inst_result_mux}
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_slow_inst_result_en
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_fill_miss_offset_is_next
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_ctrl_ld_bypass
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/d_readdatavalid_d1
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_ctrl_ld_bypass
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_want_fill
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_slow_ld_data_aligned_nxt
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_slow_inst_result_en
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_slow_inst_result_nxt
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_slow_inst_result
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_slow_inst_sel_nxt
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_slow_inst_sel
add wave -noupdate -divider {Embed_nios2_gen2_0_cpu: exceptions}
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_exc_trap_inst_pri15
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_exc_unimp_inst_pri15
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_exc_break_inst_pri15
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_exc_illegal_inst_pri15
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_exc_norm_intr_pri5
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_exc_break_inst_pri15
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_ignore_exc
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_exc_any
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_exc_allowed
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_exc_norm_intr_pri5
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_exc_break
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_refetch
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_exc_allowed
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_exc_any 
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_exc_break
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_exc_crst
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_exc_ext_intr
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_exc_any_active
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_exc_break_active
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_exc_active_no_break_no_crst
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_exc_active_no_break
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_exc_shadow_active
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_exc_wr_ea_ba
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_wr_dst_reg
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_debug_mode_nxt
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_refetch_required
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_cancel
add wave -noupdate -divider {Embed_nios2_gen2_0_cpu: mem}
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_mem_baddr
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_mem_baddr
add wave -noupdate -divider {Embed_nios2_gen2_0_cpu: load}
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_ctrl_ld_dcache_management
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_ctrl_ld8
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_ctrl_ld16
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_ctrl_ld_signed
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_ram_rd_data
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_inst_result
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_inst_result
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_inst_result_aligned
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_wr_data_unfiltered
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_wr_data_filtered
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_ld_align_sh16
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_ld_align_sh8
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_ld_align_byte1_fill
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_ld_align_byte2_byte3_fill
add wave -noupdate -divider {Embed_nios2_gen2_0_cpu: store}
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_ctrl_st
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_ctrl_st8
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_ctrl_st16
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_valid
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_st_data
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_mem_byte_en
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_st_data
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_mem_byte_en
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_st_data
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_mem_byte_en
add wave -noupdate -divider {Embed_nios2_gen2_0_cpu: register_file}
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/F_iw_a_rf
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/F_iw_b_rf
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/D_rf_a
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/D_rf_b
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_wr_dst_reg
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dst_regnum
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_wr_data_unfiltered
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_wr_data_filtered
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_wr_data
add wave -noupdate -divider {Embed_nios2_gen2_0_cpu: alu}
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/clk
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_src1
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_src2
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_arith_src1
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_arith_src2
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_ctrl_alu_signed_comparison
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_arith_result
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_logic_result
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_compare_op
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_cmp_result
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_alu_result
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_ctrl_cmp
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_ctrl_logic
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_ctrl_retaddr
add wave -noupdate -divider {Embed_nios2_gen2_0_cpu: hbreak}
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/hbreak_req
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/hbreak_enabled
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/wait_for_one_post_bret_inst
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_pc
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/oci_async_hbreak_req
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_oci_sync_hbreak_req
add wave -noupdate -divider {Embed_nios2_gen2_0_cpu: src_operands}
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/D_src1_choose_E
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/D_src1_choose_M
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/D_src1_choose_A
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/D_src1_choose_W
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/D_src2_choose_E
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/D_src2_choose_M
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/D_src2_choose_A
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/D_src2_choose_W
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/D_src1_reg
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/D_src1
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/D_src2_imm
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/D_src2_reg
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/D_src2
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_src1
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_src2
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_src1
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_src2
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_src2
add wave -noupdate -divider {Embed_nios2_gen2_0_cpu: shift_rotate}
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_src1
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_src2
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_valid
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_en
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_ctrl_shift_rot
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_ctrl_shift_rot_right
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_ctrl_shift_right_arith
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_ctrl_shift_rot_right
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_ctrl_rot
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_ctrl_shift_rot_left
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_rot_n
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_rot_rn
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_rot_fill_bit
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_rot_left_mask
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_rot_mask
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_rot_right_mask
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_rot_prestep1
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_rot_prestep2
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_rot
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_rot_step2
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_rot_rn
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_rot_fill_bit
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_rot_mask
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_rot_pass0
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_rot_pass1
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_rot_pass2
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_rot_pass3
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_rot_sel_fill0
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_rot_sel_fill1
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_rot_sel_fill2
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_rot_sel_fill3
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_rot_mask
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_rot_pass0
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_rot_pass1
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_rot_pass2
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_rot_pass3
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_rot_sel_fill0
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_rot_sel_fill1
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_rot_sel_fill2
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_rot_sel_fill3
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_shift_rot_result
add wave -noupdate -divider {Embed_nios2_gen2_0_cpu: mul}
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_src1
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_src2
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_ctrl_mul_lsw
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_mul_cell_p1
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_mul_cell_p2
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_mul_cell_p3
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_mul_s1
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_mul_cell_p3
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_mul_s1
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_mul_s2
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_mul_result
add wave -noupdate -divider {Embed_nios2_gen2_0_cpu: dcache_controls}
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_dc_dirty
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_dc_dirty_raw
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_A_dc_tag_ram_addr_match
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_W_dc_tag_ram_addr_match
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_valid_st_cache_hit
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_dc_valid_st_cache_hit
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_dc_raw_hazard
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_ctrl_ld_cache
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_valid_ignoring_refetch
add wave -noupdate -divider {Embed_nios2_gen2_0_cpu: dcache_addr_fields}
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_mem_baddr_line_field
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/E_mem_baddr_offset_field
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_mem_baddr_line_field
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_mem_baddr_offset_field
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_mem_baddr_line_field
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_mem_baddr_offset_field
add wave -noupdate -divider {Embed_nios2_gen2_0_cpu: dcache_tag_ram}
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_tag_st_wr_en
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_tag_dcache_management_wr_en
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/dc_tag_rd_port_addr
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/dc_tag_rd_port_data
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/dc_tag_wr_port_en
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/dc_tag_wr_port_data
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/dc_tag_wr_port_addr
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_dc_dirty_raw
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_dc_dirty
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_dc_valid
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_dc_actual_tag
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_fill_active
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_dc_desired_tag
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_dc_tag_match
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_desired_tag
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_dc_hit
add wave -noupdate -divider {Embed_nios2_gen2_0_cpu: dcache_data_ram}
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_data_st_wr_en
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_fill_active
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_xfer_rd_addr_active
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_data_dcache_management_wr_en
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/dc_data_rd_port_addr
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/dc_data_rd_port_data
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/dc_data_wr_port_en
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/dc_data_wr_port_data
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/dc_data_wr_port_addr
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_A_dc_tag_ram_addr_match
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_valid_st_cache_hit
add wave -noupdate -divider {Embed_nios2_gen2_0_cpu: dcache_fill}
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_dc_want_fill
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_fill_starting
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_fill_has_started_nxt
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_fill_need_extra_stall
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_fill_done
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_fill_active_nxt
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_fill_dp_offset_nxt
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_fill_dp_offset_en
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_fill_miss_offset_is_next
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_fill_wr_data
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_want_fill
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_fill_has_started
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_fill_active
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_fill_want_dmaster
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_fill_dp_offset
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_rd_last_transfer
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_rd_last_transfer_d1
add wave -noupdate -divider {Embed_nios2_gen2_0_cpu: dcache_wb}
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_wb_active_nxt
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_wb_active
add wave -noupdate -divider {Embed_nios2_gen2_0_cpu: dcache_victim_buffer}
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_xfer_wr_data
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_xfer_wr_active
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_xfer_wr_offset
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_wb_rd_en
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_wb_rd_addr_offset
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_wb_rd_data
add wave -noupdate -divider {Embed_nios2_gen2_0_cpu: dcache_victim_xfer}
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_fill_want_xfer
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_index_wb_inv_want_xfer
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_dc_addr_wb_inv_want_xfer
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_want_xfer
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_xfer_rd_addr_starting
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_xfer_rd_addr_has_started_nxt
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_xfer_rd_addr_done
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_xfer_rd_addr_active_nxt
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_xfer_rd_addr_offset_nxt
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_xfer_wr_data_nxt
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_dirty
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_xfer_rd_addr_has_started
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_xfer_rd_addr_active
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_xfer_rd_addr_offset
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_xfer_rd_data_starting
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_xfer_rd_data_active
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_xfer_wr_starting
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_xfer_wr_active
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_xfer_wr_data
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_xfer_wr_offset
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_xfer_wr_offset_starting
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_wb_tag
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_wb_line
add wave -noupdate -divider {Embed_nios2_gen2_0_cpu: dcache_wb}
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_wb_rd_en
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_wb_rd_addr_offset_nxt
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_wb_wr_starting
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_wb_wr_active_nxt
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_wb_rd_data_first_nxt
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_wb_update_av_writedata
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_wb_rd_addr_starting
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_wb_rd_addr_offset
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_wb_rd_data_starting
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_wb_wr_active
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_wb_wr_want_dmaster
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_wb_rd_data_first
add wave -noupdate -divider {Embed_nios2_gen2_0_cpu: dcache_bypass}
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_dc_bypass_or_dcache_management
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_ld_bypass_done
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_st_bypass_done
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_mem_bypass_pending
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_ld_bypass_delayed
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_st_bypass_delayed
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_ld_bypass_delayed_started
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_st_bypass_delayed_started
add wave -noupdate -divider {Embed_nios2_gen2_0_cpu: dcache_management}
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_hit
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_dirty
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_xfer_rd_addr_active
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_xfer_rd_addr_done
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_ctrl_dc_index_nowb_inv
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_ctrl_dc_addr_nowb_inv
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_ctrl_dc_index_wb_inv
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_ctrl_dc_addr_wb_inv
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_index_wb_inv_done_nxt
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_dc_addr_wb_inv_done_nxt
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_dcache_management_done_nxt
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_dcache_management_done
add wave -noupdate -divider {Embed_nios2_gen2_0_cpu: dcache_dmaster}
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/d_address_tag_field_nxt
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/d_address_line_field_nxt
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/d_address_offset_field_nxt
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/d_address_byte_field_nxt
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/d_byteenable_nxt
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/d_writedata_nxt
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/d_write_nxt
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/d_write
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/d_read_nxt
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/d_read
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/d_waitrequest
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/d_readdatavalid_d1
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/d_readdata_d1
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/d_address
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_dc_want_fill
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_dc_bypass_or_dcache_management
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_fill_active
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_fill_done
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_dcache_management_done 
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_xfer_rd_addr_done
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_ctrl_ld_bypass
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_ld_bypass_done
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_ctrl_st_bypass
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_st_bypass_done
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_rd_data_cnt_nxt
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_rd_last_transfer
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/av_wr_data_transfer
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_wr_data_cnt_nxt
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_wr_last_driven
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_wr_last_transfer
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/d_address_tag_field
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/d_address_line_field
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/d_address_offset_field
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/d_address_byte_field
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/d_byteenable
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/d_writedata
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_rd_data_cnt
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_wr_data_cnt
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/av_rd_addr_accepted
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_rd_addr_cnt_nxt
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_rd_last_driven
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_dc_rd_addr_cnt
add wave -noupdate -divider {Embed_nios2_gen2_0_cpu: data_master}
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/d_address
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/d_read_nxt
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/d_read
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/d_readdata_d1
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/d_readdatavalid_d1
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/d_write_nxt
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/d_write
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/d_writedata
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/d_waitrequest
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/d_byteenable
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_mem_stall_start_nxt
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_mem_stall_stop_nxt
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_mem_stall_nxt
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_mem_stall
add wave -noupdate -divider {Embed_nios2_gen2_0_cpu: data_ram_ld_aligner}
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_ctrl_ld16
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_mem_baddr\[1\]
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_mem_baddr\[0\]
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_data_ram_ld_align_sign_bit
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_data_ram_ld_align_fill_bit
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_data_ram_ld_byte0_data
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_data_ram_ld_byte1_data
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_data_ram_ld_byte2_data
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_data_ram_ld_byte3_data
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_inst_result_aligned
add wave -noupdate -divider {Embed_nios2_gen2_0_cpu: control_registers}
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_ctrl_rd_ctl_reg
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_valid
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_iw_control_regnum
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/M_rdctl_data
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_ctrl_wrctl_inst
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_valid
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_iw_control_regnum
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_wrctl_status
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_wrctl_estatus
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_wrctl_bstatus
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_ctrl_exception
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_op_intr
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_op_trap
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_op_break
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_op_hbreak
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_op_eret
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_op_bret
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_eret_src
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_status_reg_pie_inst_nxt
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_status_reg
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_status_reg_pie
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_estatus_reg
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_estatus_reg_pie
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_bstatus_reg
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_bstatus_reg_pie
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_ienable_reg
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_ienable_reg_irq0
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_ienable_reg_irq1
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_ienable_reg_irq2
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_ienable_reg_irq3
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_ienable_reg_irq4
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_ipending_reg
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_ipending_reg_irq0
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_ipending_reg_irq1
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_ipending_reg_irq2
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_ipending_reg_irq3
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_ipending_reg_irq4
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_cpuid_reg
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_exception_reg
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_exception_reg_cause
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_badaddr_reg
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_badaddr_reg_baddr
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_cdsr_reg
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/W_cdsr_reg_status
add wave -noupdate -divider {Embed_nios2_gen2_0_cpu: Embed_nios2_gen2_0_cpu_nios2_oci_itrace}
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/the_Embed_nios2_gen2_0_cpu_nios2_oci/the_Embed_nios2_gen2_0_cpu_nios2_oci_itrace/cond_dct_taken
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/the_Embed_nios2_gen2_0_cpu_nios2_oci/the_Embed_nios2_gen2_0_cpu_nios2_oci_itrace/curr_pid
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/the_Embed_nios2_gen2_0_cpu_nios2_oci/the_Embed_nios2_gen2_0_cpu_nios2_oci_itrace/dct_buffer
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/the_Embed_nios2_gen2_0_cpu_nios2_oci/the_Embed_nios2_gen2_0_cpu_nios2_oci_itrace/dct_code
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/the_Embed_nios2_gen2_0_cpu_nios2_oci/the_Embed_nios2_gen2_0_cpu_nios2_oci_itrace/dct_count
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/the_Embed_nios2_gen2_0_cpu_nios2_oci/the_Embed_nios2_gen2_0_cpu_nios2_oci_itrace/dct_is_taken
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/the_Embed_nios2_gen2_0_cpu_nios2_oci/the_Embed_nios2_gen2_0_cpu_nios2_oci_itrace/exc_addr
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/the_Embed_nios2_gen2_0_cpu_nios2_oci/the_Embed_nios2_gen2_0_cpu_nios2_oci_itrace/instr_retired
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/the_Embed_nios2_gen2_0_cpu_nios2_oci/the_Embed_nios2_gen2_0_cpu_nios2_oci_itrace/advanced_exc_occured
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/the_Embed_nios2_gen2_0_cpu_nios2_oci/the_Embed_nios2_gen2_0_cpu_nios2_oci_itrace/is_cond_dct
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/the_Embed_nios2_gen2_0_cpu_nios2_oci/the_Embed_nios2_gen2_0_cpu_nios2_oci_itrace/is_dct
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/the_Embed_nios2_gen2_0_cpu_nios2_oci/the_Embed_nios2_gen2_0_cpu_nios2_oci_itrace/is_exception_no_break
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/the_Embed_nios2_gen2_0_cpu_nios2_oci/the_Embed_nios2_gen2_0_cpu_nios2_oci_itrace/is_fast_tlb_miss_exception
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/the_Embed_nios2_gen2_0_cpu_nios2_oci/the_Embed_nios2_gen2_0_cpu_nios2_oci_itrace/is_idct
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/the_Embed_nios2_gen2_0_cpu_nios2_oci/the_Embed_nios2_gen2_0_cpu_nios2_oci_itrace/is_uncond_dct
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/the_Embed_nios2_gen2_0_cpu_nios2_oci/the_Embed_nios2_gen2_0_cpu_nios2_oci_itrace/itm
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/the_Embed_nios2_gen2_0_cpu_nios2_oci/the_Embed_nios2_gen2_0_cpu_nios2_oci_itrace/not_in_debug_mode
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/the_Embed_nios2_gen2_0_cpu_nios2_oci/the_Embed_nios2_gen2_0_cpu_nios2_oci_itrace/pending_curr_pid
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/the_Embed_nios2_gen2_0_cpu_nios2_oci/the_Embed_nios2_gen2_0_cpu_nios2_oci_itrace/pending_exc_addr
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/the_Embed_nios2_gen2_0_cpu_nios2_oci/the_Embed_nios2_gen2_0_cpu_nios2_oci_itrace/pending_exc_handler
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/the_Embed_nios2_gen2_0_cpu_nios2_oci/the_Embed_nios2_gen2_0_cpu_nios2_oci_itrace/pending_exc_record_handler
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/the_Embed_nios2_gen2_0_cpu_nios2_oci/the_Embed_nios2_gen2_0_cpu_nios2_oci_itrace/pending_frametype
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/the_Embed_nios2_gen2_0_cpu_nios2_oci/the_Embed_nios2_gen2_0_cpu_nios2_oci_itrace/pending_prev_pid
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/the_Embed_nios2_gen2_0_cpu_nios2_oci/the_Embed_nios2_gen2_0_cpu_nios2_oci_itrace/prev_pid
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/the_Embed_nios2_gen2_0_cpu_nios2_oci/the_Embed_nios2_gen2_0_cpu_nios2_oci_itrace/prev_pid_valid
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/the_Embed_nios2_gen2_0_cpu_nios2_oci/the_Embed_nios2_gen2_0_cpu_nios2_oci_itrace/record_dct_outcome_in_sync
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/the_Embed_nios2_gen2_0_cpu_nios2_oci/the_Embed_nios2_gen2_0_cpu_nios2_oci_itrace/record_itrace
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/the_Embed_nios2_gen2_0_cpu_nios2_oci/the_Embed_nios2_gen2_0_cpu_nios2_oci_itrace/retired_pcb
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/the_Embed_nios2_gen2_0_cpu_nios2_oci/the_Embed_nios2_gen2_0_cpu_nios2_oci_itrace/snapped_curr_pid
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/the_Embed_nios2_gen2_0_cpu_nios2_oci/the_Embed_nios2_gen2_0_cpu_nios2_oci_itrace/snapped_pid
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/the_Embed_nios2_gen2_0_cpu_nios2_oci/the_Embed_nios2_gen2_0_cpu_nios2_oci_itrace/snapped_prev_pid
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/the_Embed_nios2_gen2_0_cpu_nios2_oci/the_Embed_nios2_gen2_0_cpu_nios2_oci_itrace/sync_code
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/the_Embed_nios2_gen2_0_cpu_nios2_oci/the_Embed_nios2_gen2_0_cpu_nios2_oci_itrace/sync_interval
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/the_Embed_nios2_gen2_0_cpu_nios2_oci/the_Embed_nios2_gen2_0_cpu_nios2_oci_itrace/sync_timer_reached_zero
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/the_Embed_nios2_gen2_0_cpu_nios2_oci/the_Embed_nios2_gen2_0_cpu_nios2_oci_itrace/sync_timer
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/the_Embed_nios2_gen2_0_cpu_nios2_oci/the_Embed_nios2_gen2_0_cpu_nios2_oci_itrace/sync_timer_next
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/the_Embed_nios2_gen2_0_cpu_nios2_oci/the_Embed_nios2_gen2_0_cpu_nios2_oci_itrace/trc_clear
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/the_Embed_nios2_gen2_0_cpu_nios2_oci/the_Embed_nios2_gen2_0_cpu_nios2_oci_itrace/trc_ctrl
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/the_Embed_nios2_gen2_0_cpu_nios2_oci/the_Embed_nios2_gen2_0_cpu_nios2_oci_itrace/trc_ctrl_reg
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/the_Embed_nios2_gen2_0_cpu_nios2_oci/the_Embed_nios2_gen2_0_cpu_nios2_oci_itrace/trc_on
add wave -noupdate -divider {Embed_nios2_gen2_0_cpu: extra_exc_info}
add wave -noupdate -format Logic -radix decimal /NIOS2_INSTANCE_TOP/A_exc_highest_pri_cause_code
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_exc_highest_pri_baddr
add wave -noupdate -format Logic -radix hexadecimal /NIOS2_INSTANCE_TOP/A_exc_record_baddr

configure wave -justifyvalue right
configure wave -signalnamewidth 1
TreeUpdate [SetDefaultTree]
